CREATE PROCEDURE [dbo].[SP_CREATE_EXCEL_MANIFEST_ORDERED]  
@dock varchar(max)  
AS  
  
SELECT DISTINCT B.DOCK_CD, MANIFEST_NO, ARRIVAL_PLAN_DT   
from TB_M_DOCK A JOIN TB_R_DAILY_ORDER_MANIFEST B ON A.DOCK_CD = B.DOCK_CD   
WHERE B.MANIFEST_RECEIVE_FLAG = 0 AND B.SCAN_DT is null and B.ARRIVAL_ACTUAL_DT is null  
 AND B.ARRIVAL_PLAN_DT >= dateadd(month, -6, getdate()) AND B.ARRIVAL_PLAN_DT <= GETDATE() AND A.DOCK_CD = @dock AND B.TOTAL_QTY > 0   
 AND (B.CANCEL_FLAG = 0 OR B.CANCEL_BY = '' OR B.CANCEL_BY IS NULL OR B.DELETION_FLAG = '' OR DELETION_FLAG IS NULL)

